# lookatme.pres module

Defines Presentation specific objects

class lookatme.pres.Presentation(input_stream, theme, style_override=None, live_reload=False, single_slide=False, preload_extensions=None, safe=False, no_ext_warn=False, ignore_ext_failure=False)

  Bases: `object`

  Defines a presentation

  get_tui() → MarkdownTui
  reload(data=None)

    Reload this presentation

    Parameters:

      data (str) – The data to render for this slide deck (optional)

  reload_watcher()

    Watch for changes to the input filename, automatically reloading when the modified time has changed.

  run(start_slide=0)

    Run the presentation!

  warn_exts(exts)

    Warn about source-provided extensions that are to-be-loaded